Bug 142288 - FORMATTING: Impress "Screen 16:9/4:3" and PowerPoint "On-screen Show (16:9/4:3)" are different format
Summary: FORMATTING: Impress "Screen 16:9/4:3" and PowerPoint "On-screen Show (16:9/4:...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.3.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 inReleaseNotes:7.3
Keywords: difficultyMedium, easyHack, skillCpp, topicDesign
Depends on:
Blocks: Impress-UX
  Show dependency treegraph
 
Reported: 2021-05-14 16:37 UTC by Jun Nogata
Modified: 2022-01-24 02:20 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
PowerPoint compatible screensize patch (6.01 KB, patch)
2021-05-23 07:59 UTC, Jun Nogata
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jun Nogata 2021-05-14 16:37:29 UTC
Description:
Impress "Screen 16:9/4:3" and PowerPoint "On-screen show 16:9/4:3" are sized differently. When I load the files, the screen format is "User". I want to match the sizes for interoperability.

Steps to Reproduce:
1. Open Microsoft Powerpoint 2019/365.
2. Click Design tab -> Slide Size, and select "Custom Slide Size".
3. Select the On-screen show 16:9(4:3,16:10) and check the size.
4. Open Impress.
5. Open Slides -> Slide Properties.
6. Select the Screen 16:9(4:3,16:10) and check the size.

PowerPoint and Impress have different sizes for the same screen. see below

PowerPoint's screen size:
    * On-screen Show(16:9): 25.4cm x 14.288cm
    * On-screen Show(16:10): 25.4cm x 15.875cm
    * On-screen Show(4:3): 25.4cm x 14.288cm

    See https://support.microsoft.com/en-us/office/change-the-size-of-your-slides-040a811c-be43-40b9-8d04-0de5ed79987e

Impress's screen size:

    * Screen 16:9: 28.00cm x 15.75cm
    * Screen 16:10: 28.00cm 17.50cm
    * Screen 4:3: 28.00cm x 21.00cm


Actual Results:
load pptx, the size is "User".

Expected Results:
load pptx(On-screen Show(16:9)), the size is "Screen 16:9". Interoperability will be ensured.


Reproducible: Always


User Profile Reset: No



Additional Info:
PowerPoint version
Microsoft® PowerPoint® for Microsoft 365 MSO (16.0.13929.20222) 64-bit 

LibreOffice version
Version: 7.1.3.2 (x64) / LibreOffice Community
Build ID: 47f78053abe362b9384784d31a6e56f8511eb1c1
CPU threads: 2; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: ja-JP (ja_JP); UI: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2021-05-15 16:13:27 UTC
Heiko, I think you made something in this area. What do you think about it?
Comment 2 Heiko Tietze 2021-05-17 09:15:46 UTC
Sounds like a sensible idea. While paper size is clearly define I'm not aware of similar defaults for presentations. We probably start with metric values while MSO uses imperial numbers (10" vs. 28cm). What do you think, Regina, Eike?

I guess the values are easy hackable in i18nutil/source/utility/paper.cxx -> const PageDesc aDinTab[]. But we would also have to change all templates, which makes it quite an effort.
Comment 3 Jun Nogata 2021-05-19 10:38:34 UTC
(In reply to Heiko Tietze from comment #2)

The current Microsoft PowerPoint default size is widescreen, so it's better to do this first.

* https://bugs.documentfoundation.org/show_bug.cgi?id=142286

I am trying to add widescreen, but can't get it to work.
Comment 4 Eike Rathke 2021-05-19 11:03:43 UTC
(In reply to Heiko Tietze from comment #2)
> I guess the values are easy hackable in i18nutil/source/utility/paper.cxx ->
> const PageDesc aDinTab[].
Definitions of paper sizes are not related to screen ratio and sizes.
Comment 5 Regina Henschel 2021-05-19 14:20:00 UTC
I'm afraid that changing to a 'pt' based size as default will not please most users outside US. I would only add such formats to the list of named formats.
Comment 6 Heiko Tietze 2021-05-19 16:25:09 UTC
(In reply to Regina Henschel from comment #5)
> I would only add such formats to the list of named formats.

To duplicate the screen presentation formats sounds weird and confusing to me.

 * Screen 16:9
 * Screen 16:10
 * Screen 4:3
 * On-Screen Show 16:9
 * On-Screen Show 16:10
 * On-Screen Show 4:3

Average users wonder what the difference between Screen and On-Screen Show might be. And the inch-crooked values are in the list anyway.

Thought https://en.wikipedia.org/wiki/Display_size could be a basis for reasoning but neither 25.4 nor 28cm fit on typical displays and need scaling.
Comment 7 Regina Henschel 2021-05-19 17:52:33 UTC
(In reply to Heiko Tietze from comment #6)
> Thought https://en.wikipedia.org/wiki/Display_size could be a basis for
> reasoning but neither 25.4 nor 28cm fit on typical displays and need scaling.

Scaling is done by the graphic card when running the slide show. The size here is relevant for editing, printing and PDF export, and should harmonize with the grid unit. You could add the size incl. units in brackets, same as PowerPoint does it for page sizes.
Comment 8 Jun Nogata 2021-05-23 07:59:01 UTC
Created attachment 172258 [details]
PowerPoint compatible screensize patch

This patch adds a powerpoint compatible preset screen size.
(Widescreen, On-screen show (4:3), On-screen show (16:9), On-screen show (16:10))

It was created with the intention that when a file created in Impress is loaded in PowerPoint, it will be the PowerPoint preset size compatible.
Comment 9 Heiko Tietze 2021-05-25 09:20:49 UTC
Thanks for the patch, looks promising. Please submit to Gerrit and make sure the slide format wont become User by adopting the new sizes.
Comment 10 Timur 2021-07-19 09:55:38 UTC
WFM in 7.3+.
Comment 11 Aron Budea 2021-07-19 10:19:08 UTC
I haven't checked in detail, but I presume the following is the fixing commit, thanks Jun!

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6d4a1716624a8a045ff4e90bd221b563be44be11
Add PowerPoint compatible screen size for Impress
Comment 12 stragu 2022-01-24 02:20:46 UTC
Verified fixed in:

Version: 7.3.0.2 / LibreOffice Community
Build ID: f1c9017ac60ecca268da7b1cf147b10e244b9b21
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

Just a note:

(In reply to Jun Nogata from comment #0)
> PowerPoint's screen size:
>     * On-screen Show(16:9): 25.4cm x 14.288cm
>     * On-screen Show(16:10): 25.4cm x 15.875cm
>     * On-screen Show(4:3): 25.4cm x 14.288cm

The size for 4:3 should be 25.4cm x 19.05cm (which is what was implemented by Jun). I assume it was a typo.